Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.template.style.validation.model
Interface VTValidationPackage.Literals

Enclosing interface:
  VTValidationPackage

    public static interface VTValidationPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each operation of each class,
- each enum,
- and each data type

Field Summary
`static org.eclipse.emf.ecore.EClass` | `VALIDATION_STYLE_PROPERTY` The meta object literal for the ' `Style Property`' class.
`static org.eclipse.emf.ecore.EAttribute` | `VALIDATION_STYLE_PROPERTY__CANCEL_COLOR_HEX` The meta object literal for the 'Cancel Color HEX' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `VALIDATION_STYLE_PROPERTY__CANCEL_IMAGE_URL` The meta object literal for the 'Cancel Image URL' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `VALIDATION_STYLE_PROPERTY__CANCEL_OVERLAY_URL` The meta object literal for the 'Cancel Overlay URL' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `VALIDATION_STYLE_PROPERTY__ERROR_COLOR_HEX` The meta object literal for the 'Error Color HEX' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `VALIDATION_STYLE_PROPERTY__ERROR_IMAGE_URL` The meta object literal for the 'Error Image URL' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `VALIDATION_STYLE_PROPERTY__ERROR_OVERLAY_URL` The meta object literal for the 'Error Overlay URL' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `VALIDATION_STYLE_PROPERTY__INFO_COLOR_HEX` The meta object literal for the 'Info Color HEX' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `VALIDATION_STYLE_PROPERTY__INFO_IMAGE_URL` The meta object literal for the 'Info Image URL' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `VALIDATION_STYLE_PROPERTY__INFO_OVERLAY_URL` The meta object literal for the 'Info Overlay URL' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `VALIDATION_STYLE_PROPERTY__OK_COLOR_HEX` The meta object literal for the 'Ok Color HEX' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `VALIDATION_STYLE_PROPERTY__OK_IMAGE_URL` The meta object literal for the 'Ok Image URL' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `VALIDATION_STYLE_PROPERTY__OK_OVERLAY_URL` The meta object literal for the 'Ok Overlay URL' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `VALIDATION_STYLE_PROPERTY__WARNING_COLOR_HEX` The meta object literal for the 'Warning Color HEX' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `VALIDATION_STYLE_PROPERTY__WARNING_IMAGE_URL` The meta object literal for the 'Warning Image URL' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `VALIDATION_STYLE_PROPERTY__WARNING_OVERLAY_URL` The meta object literal for the 'Warning Overlay URL' attribute feature.

Field Detail

### VALIDATION_STYLE_PROPERTY

    static final org.eclipse.emf.ecore.EClass VALIDATION_STYLE_PROPERTY

  The meta object literal for the ' `Style Property`' class.

  See Also:
    `VTValidationStylePropertyImpl`, `VTValidationPackageImpl.getValidationStyleProperty()`

### VALIDATION_STYLE_PROPERTY__OK_COLOR_HEX

    static final org.eclipse.emf.ecore.EAttribute VALIDATION_STYLE_PROPERTY__OK_COLOR_HEX

  The meta object literal for the 'Ok Color HEX' attribute feature.

### VALIDATION_STYLE_PROPERTY__OK_IMAGE_URL

    static final org.eclipse.emf.ecore.EAttribute VALIDATION_STYLE_PROPERTY__OK_IMAGE_URL

  The meta object literal for the 'Ok Image URL' attribute feature.

### VALIDATION_STYLE_PROPERTY__OK_OVERLAY_URL

    static final org.eclipse.emf.ecore.EAttribute VALIDATION_STYLE_PROPERTY__OK_OVERLAY_URL

  The meta object literal for the 'Ok Overlay URL' attribute feature.

### VALIDATION_STYLE_PROPERTY__INFO_COLOR_HEX

    static final org.eclipse.emf.ecore.EAttribute VALIDATION_STYLE_PROPERTY__INFO_COLOR_HEX

  The meta object literal for the 'Info Color HEX' attribute feature.

### VALIDATION_STYLE_PROPERTY__INFO_IMAGE_URL

    static final org.eclipse.emf.ecore.EAttribute VALIDATION_STYLE_PROPERTY__INFO_IMAGE_URL

  The meta object literal for the 'Info Image URL' attribute feature.

### VALIDATION_STYLE_PROPERTY__INFO_OVERLAY_URL

    static final org.eclipse.emf.ecore.EAttribute VALIDATION_STYLE_PROPERTY__INFO_OVERLAY_URL

  The meta object literal for the 'Info Overlay URL' attribute feature.

### VALIDATION_STYLE_PROPERTY__WARNING_COLOR_HEX

    static final org.eclipse.emf.ecore.EAttribute VALIDATION_STYLE_PROPERTY__WARNING_COLOR_HEX

  The meta object literal for the 'Warning Color HEX' attribute feature.

### VALIDATION_STYLE_PROPERTY__WARNING_IMAGE_URL

    static final org.eclipse.emf.ecore.EAttribute VALIDATION_STYLE_PROPERTY__WARNING_IMAGE_URL

  The meta object literal for the 'Warning Image URL' attribute feature.

### VALIDATION_STYLE_PROPERTY__WARNING_OVERLAY_URL

    static final org.eclipse.emf.ecore.EAttribute VALIDATION_STYLE_PROPERTY__WARNING_OVERLAY_URL

  The meta object literal for the 'Warning Overlay URL' attribute feature.

### VALIDATION_STYLE_PROPERTY__ERROR_COLOR_HEX

    static final org.eclipse.emf.ecore.EAttribute VALIDATION_STYLE_PROPERTY__ERROR_COLOR_HEX

  The meta object literal for the 'Error Color HEX' attribute feature.

### VALIDATION_STYLE_PROPERTY__ERROR_IMAGE_URL

    static final org.eclipse.emf.ecore.EAttribute VALIDATION_STYLE_PROPERTY__ERROR_IMAGE_URL

  The meta object literal for the 'Error Image URL' attribute feature.

### VALIDATION_STYLE_PROPERTY__ERROR_OVERLAY_URL

    static final org.eclipse.emf.ecore.EAttribute VALIDATION_STYLE_PROPERTY__ERROR_OVERLAY_URL

  The meta object literal for the 'Error Overlay URL' attribute feature.

### VALIDATION_STYLE_PROPERTY__CANCEL_COLOR_HEX

    static final org.eclipse.emf.ecore.EAttribute VALIDATION_STYLE_PROPERTY__CANCEL_COLOR_HEX

  The meta object literal for the 'Cancel Color HEX' attribute feature.

### VALIDATION_STYLE_PROPERTY__CANCEL_IMAGE_URL

    static final org.eclipse.emf.ecore.EAttribute VALIDATION_STYLE_PROPERTY__CANCEL_IMAGE_URL

  The meta object literal for the 'Cancel Image URL' attribute feature.

### VALIDATION_STYLE_PROPERTY__CANCEL_OVERLAY_URL

    static final org.eclipse.emf.ecore.EAttribute VALIDATION_STYLE_PROPERTY__CANCEL_OVERLAY_URL

  The meta object literal for the 'Cancel Overlay URL' attribute feature.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.